Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class StateMap

    java.lang.Object
      com.ejie.r01f.util.StateMap

All Implemented Interfaces:
  java.util.Map, java.io.Serializable

public class StateMap
extends java.lang.Object
implements java.util.Map, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`StateMap()` Crea un nuevo StateMap
`StateMap(int size)` Constructor en base al tamaño
`StateMap(java.util.Map inMap)` Crea un nuevo StateMap a partir de otro mapa

Method Summary
`void` | `clear()` Vacia el mapa de objetos
`boolean` | `containsKey(java.lang.Object inKey)` Devuelve si el mapa contiene un objeto relacionado con la clave dada (solo si el objeto NO esta borrado)
`boolean` | `containsValue(java.lang.Object inValue)` Devuelve si el mapa contiene el objeto dado (solo si el objeto NO esta borrado)
`java.util.Set` | `deletedObjects()` Devuelve una lista con los objetos borrados.
`int` | `deletedObjectsCount()` Devuelve el numero de objetos borrados
`java.util.Set` | `entrySet()` Devuelve un Set con las entries (Map.Entry) del mapa (solo objetos NO borrados)
`boolean` | `equals(java.lang.Object obj)` El Mapa es igual al dado?
`java.lang.Object` | `get(java.lang.Object inKey)` Obtiene el valor del mapa relacionado con la clave dada (solo devuelve si el objeto NO esta borrado)
`boolean` | `hasDeletedObjects()` Devuelve si hay objetos borrados.
`int` | `hashCode()` Obtiene el hashCode de la instancia
`boolean` | `hasNewObjects()` Devuelve si hay objetos nuevos.
`boolean` | `hasNotNewObjects()` Devuelve si hay objetos nuevos.
`boolean` | `isEmpty()` Está vacío el mapa (no tiene en cuenta objetos borrados)
`java.util.Set` | `keySet()` Devuelve un Set con las claves del mapa (solo objetos no borrados)
`java.util.Set` | `newObjects()` Devuelve una lista con los objetos nuevos.
`java.util.Set` | `notNewObjects()` Devuelve una lista con los objetos no nuevos nuevos (y no borrados).
`java.lang.String` | `printDebugInfo()`
`java.lang.Object` | `put(java.lang.Object newKey, java.lang.Object newValue)` Introduce en el mapa el objeto y lo relaciona con la clave dada
`void` | `putAll(java.util.Map m)` Introduce en el mapa el nuevo mapa con objetos relacionados con su clave
`void` | `putAllKeys(java.util.Set keys)` Introduce en el mapa las claves que se pasan (no los objetos)
`java.lang.Object` | `putNew(java.lang.Object newKey, java.lang.Object newValue)` Añade un nuevo objeto y lo marca como nuevo
`java.lang.Object` | `putNotNew(java.lang.Object newKey, java.lang.Object newValue)` Añade un objeto, pero no lo marca como nuevo
`java.lang.Object` | `remove(java.lang.Object inKey)` Elimina del mapa el objeto cuya clave se pasa
`void` | `removeAll()` Elimina del mapa todos los objetos
`void` | `removeAllDeletedForEver()` Elimina permanentemente los objetos borrados
`boolean` | `removeDeletedObjForEver(java.lang.Object inKey)` Elimina permanentemente un objeto cuya clave se pasa
`void` | `setAllNotNew()` Marca todos los objetos como NO Nuevos
`int` | `size()` Número de elementos que contiene el mapa (solo objetos no borrados)
`void` | `undeleteAllObjects()` Recupera todos los objetos borrados (los marca como no borrados)
`java.util.Collection` | `values()` Devuelve la colección de valores del mapa (solo objetos NO borrados)

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateMap

    public StateMap()

  Crea un nuevo StateMap

### StateMap

    public StateMap(int size)

  Constructor en base al tamaño

Parameters:
  `size` -

### StateMap

    public StateMap(java.util.Map inMap)

  Crea un nuevo StateMap a partir de otro mapa

Parameters:
  `inMap` - el otro mapa

Method Detail

### clear

    public void clear()

  Vacia el mapa de objetos

  Specified by:
    `clear` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object inKey)

  Devuelve si el mapa contiene un objeto relacionado con la clave dada (solo si el objeto NO esta borrado)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object inValue)

  Devuelve si el mapa contiene el objeto dado (solo si el objeto NO esta borrado)

  Specified by:
    `containsValue` in interface `java.util.Map`

### equals

    public boolean equals(java.lang.Object obj)

  El Mapa es igual al dado? (no tiene en cuenta objetos borrados)

  Specified by:
    `equals` in interface `java.util.Map`

### hashCode

    public int hashCode()

  Obtiene el hashCode de la instancia

  Specified by:
    `hashCode` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object inKey)

  Obtiene el valor del mapa relacionado con la clave dada (solo devuelve si el objeto NO esta borrado)

  Specified by:
    `get` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object newKey,
                                java.lang.Object newValue)

  Introduce en el mapa el objeto y lo relaciona con la clave dada

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map m)

  Introduce en el mapa el nuevo mapa con objetos relacionados con su clave

  Specified by:
    `putAll` in interface `java.util.Map`

### putAllKeys

    public void putAllKeys(java.util.Set keys)

  Introduce en el mapa las claves que se pasan (no los objetos)

### putNew

    public java.lang.Object putNew(java.lang.Object newKey,
                                   java.lang.Object newValue)

  Añade un nuevo objeto y lo marca como nuevo

### putNotNew

    public java.lang.Object putNotNew(java.lang.Object newKey,
                                      java.lang.Object newValue)

  Añade un objeto, pero no lo marca como nuevo

### remove

    public java.lang.Object remove(java.lang.Object inKey)

  Elimina del mapa el objeto cuya clave se pasa

  Specified by:
    `remove` in interface `java.util.Map`

### removeAll

    public void removeAll()

  Elimina del mapa todos los objetos

### removeAllDeletedForEver

    public void removeAllDeletedForEver()

  Elimina permanentemente los objetos borrados

### removeDeletedObjForEver

    public boolean removeDeletedObjForEver(java.lang.Object inKey)

  Elimina permanentemente un objeto cuya clave se pasa

### setAllNotNew

    public void setAllNotNew()

  Marca todos los objetos como NO Nuevos

### undeleteAllObjects

    public void undeleteAllObjects()

  Recupera todos los objetos borrados (los marca como no borrados)

### size

    public int size()

  Número de elementos que contiene el mapa (solo objetos no borrados)

  Specified by:
    `size` in interface `java.util.Map`

### hasNewObjects

    public boolean hasNewObjects()

  Devuelve si hay objetos nuevos.

### hasDeletedObjects

    public boolean hasDeletedObjects()

  Devuelve si hay objetos borrados.

### hasNotNewObjects

    public boolean hasNotNewObjects()

  Devuelve si hay objetos nuevos.

### isEmpty

    public boolean isEmpty()

  Está vacío el mapa (no tiene en cuenta objetos borrados)

  Specified by:
    `isEmpty` in interface `java.util.Map`

### deletedObjectsCount

    public int deletedObjectsCount()

  Devuelve el numero de objetos borrados

### values

    public java.util.Collection values()

  Devuelve la colección de valores del mapa (solo objetos NO borrados)

  Specified by:
    `values` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Devuelve un Set con las claves del mapa (solo objetos no borrados)

  Specified by:
    `keySet` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Devuelve un Set con las entries (Map.Entry) del mapa (solo objetos NO borrados)

  Specified by:
    `entrySet` in interface `java.util.Map`

### newObjects

    public java.util.Set newObjects()

  Devuelve una lista con los objetos nuevos.

### notNewObjects

    public java.util.Set notNewObjects()

  Devuelve una lista con los objetos no nuevos nuevos (y no borrados).

### deletedObjects

    public java.util.Set deletedObjects()

  Devuelve una lista con los objetos borrados.

### printDebugInfo

    public java.lang.String printDebugInfo()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD